using UnityEngine;
using System.Collections;

public class offsetMaterial_X : MonoBehaviour
{

    public float scrollSpeed;
    public Renderer rend;

    void Start ()
    {
        rend = GetComponent<Renderer>();
    }

	void Update ()
    {
        float offset = Time.time * scrollSpeed;
        rend.material.SetTextureOffset("_MainTex", new Vector2(offset, 0));
    }
}
